/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller.commands;

import ChatProgramm.model.Client;
import ChatProgramm.model.Figur;
import ChatProgramm.model.GrafikModel;
import ChatProgramm.model.Server;
import ChatProgramm.model.TransmitterInterface;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import java.util.logging.Logger;
import javax.swing.JTextField;
import ChatProgramm.model.Nachricht;
import ChatProgramm.view.GrafikView;

/**
 *
 * @author ahren
 */
public class CommandSend implements CommandInterface
{
  private static Logger lg = OhmLogger.getLogger();
  private JTextField eingabeFeld;
  private String nachricht;
  private GrafikView view;
  private GrafikModel model;
  public TransmitterInterface transmitterInterface;
  public Server server;
  public Client client;


  
    
  public CommandSend(GrafikView view, GrafikModel model)
  {
      this.view = view;
      this.model = model;
      //ToDo: Hier muss auch der gFrame referenziert werden
      //this.eingabeFeld = view.getTfNachricht();
      transmitterInterface = null;
  }

  @Override
  public void execute()
  {
    lg.info("wir sind drin");
    Figur aktuelleFigur = model.getFiguren().getLast();
    if(transmitterInterface != null){
        transmitterInterface.send(aktuelleFigur);
    }
    else{
        lg.info("Der Transmitter ist immernoch null");
    }
      //ToDo in dieser methode muss die Figur serialisiert werden und zum 
      //übermitteln bereitgestellt werden
      
//      if(transmitterInterface != null && !eingabeFeld.getText().isEmpty()){
//          transmitterInterface.send(eingabeFeld.getText());
//          eingabeFeld.setText("");
//      }
  }


  @Override
  public boolean isUndoable()
  {
    return false;
  }

  @Override
  public void undo()
  {
  }

    void setTransmitter(TransmitterInterface transmitter) {
        lg.info("Transmitter wird gesetzt");
        if(transmitter != null){
            this.transmitterInterface = transmitter;
            
        }
        else{
            lg.info("der transmitter kommt hier als null an");
        }
    }
}
